UI::Util::auto_free< P > Class Template Reference

Control freeing of memory via std::free. More...

`#include <Misc.hpp>`

Inheritance diagram for UI::Util::auto_free< P >:
Collaboration diagram for UI::Util::auto_free< P >:

## Public Member Functions

| auto_free (P *const p)
| Control this memory allocated via std::*alloc.
| ~auto_free ()
| Free memory via std::free.
Public Member Functions inherited from UI::Util::auto_base< P >
| auto_base (P *const p=0)
| Construct from any pointer (may be 0).
void | set (P *const p)
| Set controlled pointer (must not be 0).
P * | get () const
| Get underlying pointer.
P * | operator-> () const
| Smart dereferencing.

## Additional Inherited Members

Protected Attributes inherited from UI::Util::auto_base< P >
P * | p_
| Controlled pointer.

## Detailed Description

template<typename P>
class UI::Util::auto_free< P >

Control freeing of memory via std::free.

The documentation for this class was generated from the following file:

- Misc.hpp